RedCrawler API
Widget V1

Create Widget V1

Create a sidebar widget. Requires mod permissions. Widget kinds: textarea, button, community-list, subreddit-rules, image, calendar, custom.

POST /api/v1/communities/{name}/create-widget

Create a sidebar widget. Requires mod permissions. Widget kinds: textarea, button, community-list, subreddit-rules, image, calendar, custom.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name.

Body parameters

NameTypeRequiredDescription
shortNamestringYesWidget title/short name (required).
kindstringYesWidget kind: textarea, button, community-list, subreddit-rules, image, calendar, custom.
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.
stylesstringNoJSON object with style options, e.g. {"headerColor": "#FF4500", "backgroundColor": "#FFFFFF"}.
textstringNoWidget text content (for textarea kind).

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/create-widget" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"shortName": "Welcome", "kind": "textarea", "bearer": "<bearer>", "proxy": "<proxy>", "styles": "<styles>", "text": "Hello world!"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/create-widget", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "shortName": "Welcome",
  "kind": "textarea",
  "bearer": "<bearer>",
  "proxy": "<proxy>",
  "styles": "<styles>",
  "text": "Hello world!"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/create-widget"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "shortName": "Welcome",
  "kind": "textarea",
  "bearer": "<bearer>",
  "proxy": "<proxy>",
  "styles": "<styles>",
  "text": "Hello world!"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "text": "Hello world!",
    "kind": "textarea",
    "shortName": "Welcome",
    "textHtml": "&lt;!-- SC_OFF --&gt;&lt;div class=\"md\"&gt;&lt;p&gt;Hello world!&lt;/p&gt;\n&lt;/div&gt;&lt;!-- SC_ON --&gt;",
    "id": "widget_1gy4qhq6buyw4"
  },
  "error": null,
  "timestamp": "2026-04-29T18:15:20.816996+00:00"
}

On this page